MWAWParagraph Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWParagraph Class Reference

class to store the paragraph properties More...

`#include <MWAWParagraph.hxx>`

Inheritance diagram for MWAWParagraph:

## Public Types
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Public Member Functions
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
int | cmp (MWAWParagraph const &p) const
| a comparison function More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, librevenge::RVNGUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (librevenge::RVNGPropertyList &propList, bool inTable) const
| add to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes
Variable< double > | m_margins [3]
| the margins More...
Variable< librevenge::RVNGUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< librevenge::RVNGUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector< MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable< MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_styleName
| the style name More...
std::string | m_extra
| a string to store some errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWParagraph const &ft)
| operator << More...

## Detailed Description

class to store the paragraph properties

## Member Enumeration Documentation

anonymous enum

some bit use to defined the break status

Enumerator
NoBreakBit |
NoBreakWithNextBit |

enum MWAWParagraph::Justification

an enum used to defined the paragraph justification: left, center, right, full ...

Enumerator
JustificationLeft |
JustificationFull |
JustificationCenter |
JustificationRight |
JustificationFullAllLines |

enum MWAWParagraph::LineSpacingType

the line spacing type: fixed or at least

Enumerator
Fixed |
AtLeast |

## Constructor & Destructor Documentation

MWAWParagraph::MWAWParagraph | ( |  | ) |

constructor

MWAWParagraph::~MWAWParagraph | ( |  | ) |
| virtual

destructor

## Member Function Documentation

void MWAWParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | bool | inTable
| ) |  | const

add to the propList

int MWAWParagraph::cmp | ( | MWAWParagraph const & | p | ) | const

a comparison function

Referenced by operator!=(), and operator==().

double MWAWParagraph::getMarginsWidth | ( |  | ) | const

return the paragraph margin width (in inches)

bool MWAWParagraph::hasBorders | ( |  | ) | const

check if the paragraph has some borders

Referenced by addTo(), and hasDifferentBorders().

bool MWAWParagraph::hasDifferentBorders | ( |  | ) | const

check if the paragraph has different borders

Referenced by addTo().

void MWAWParagraph::insert | ( | MWAWParagraph const & | para | ) |

insert the set values of para in the actual paragraph

Referenced by MsWrdStruct::Paragraph::insert().

bool MWAWParagraph::operator!= | ( | MWAWParagraph const & | p | ) | const
| inline

operator!=

bool MWAWParagraph::operator== | ( | MWAWParagraph const & | p | ) | const
| inline

operator==

void MWAWParagraph::resizeBorders | ( | size_t | newSize | ) |
| inline

a function used to resize the borders list ( adding empty borders if needed )

Referenced by MsWrdStruct::Paragraph::read(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), and MarinerWrtTextInternal::Paragraph::update().

void MWAWParagraph::setInterline | ( | double | value,
|  | librevenge::RVNGUnit | unit,
|  | LineSpacingType | type = `Fixed`
| ) |  |
| inline

set the interline

Referenced by MacWrtParser::readGraphic(), WriterPlsParser::readGraphic(), MacDrawParser::readObject(), MoreText::readOutline(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), MacWrtParser::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), MindWrtParser::readRuler(), GreatWksText::readRuler(), MarinerWrtText::readRulers(), MacWrtParser::readText(), MacDrawProParser::readTextII(), MindWrtParser::sendHeaderFooterFields(), BeagleWksDRParser::sendText(), SuperPaintParser::sendText(), MsWks3Text::sendText(), MindWrtParser::sendZone(), MsWrdStruct::Paragraph::updateParagraphToFinalState(), and FullWrtTextInternal::Paragraph::updateToSent().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWParagraph const & | ft
| ) |  |
| friend

operator <<

## Member Data Documentation

Variable<MWAWColor> MWAWParagraph::m_backgroundColor

the background color

Referenced by addTo(), cmp(), insert(), operator<<(), MarinerWrtTextInternal::Paragraph::update(), and FullWrtTextInternal::Paragraph::updateToSent().

std::vector<Variable<MWAWBorder> > MWAWParagraph::m_borders

list of border ( order MWAWBorder::Pos)

Referenced by addTo(), cmp(), hasBorders(), hasDifferentBorders(), insert(), operator<<(), MsWrdStruct::Paragraph::read(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), resizeBorders(), MarinerWrtTextInternal::Paragraph::update(), and FullWrtTextInternal::Paragraph::updateToSent().

Variable<int> MWAWParagraph::m_breakStatus

a list of bits: 0x1 (unbreakable), 0x2 (do not break after)

Referenced by addTo(), cmp(), insert(), operator<<(), MsWrdStruct::Paragraph::read(), MoreText::readOutline(), HanMacWrdJText::readParagraph(), and HanMacWrdKText::readParagraph().

std::string MWAWParagraph::m_extra

a string to store some errors

Referenced by insert(), operator<<(), MsWrdStruct::Paragraph::read(), MsWrdTextStyles::readParagraph(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MsWks3Text::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), NisusWrtText::readParagraphs(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), and MarinerWrtText::readRulers().

Variable<Justification> MWAWParagraph::m_justify

the justification

Referenced by addTo(), cmp(), insert(), MWAWHeaderFooter::insertPageNumberParagraph(), operator<<(), MsWrdStruct::Paragraph::read(), MacDrawParser::readObject(), MoreText::readOutline(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), MacWrtParser::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MsWks3Text::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), MacWrtParser::readText(), MacDrawProParser::readTextII(), ClarisWksDbaseContent::send(), ActaParser::sendHeaderFooter(), LightWayTxtText::sendHeaderFooter(), MacDocParser::sendIndex(), GreatWksText::sendSimpleTextbox(), MsWksTable::sendTable(), ZWrtText::sendText(), BeagleWksDRParser::sendText(), DocMkrText::sendText(), SuperPaintParser::sendText(), MsWksGraph::sendTextBox(), MindWrtParserInternal::ZoneInfo::updateListId(), and FullWrtTextInternal::Paragraph::updateToSent().

Variable<int> MWAWParagraph::m_listId

the list id (if know )

Referenced by cmp(), insert(), operator<<(), MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), ActaText::sendTopic(), ClarisWksText::setProperty(), MindWrtParserInternal::ZoneInfo::updateListId(), and MoreTextInternal::Paragraph::updateToFinalState().

Variable<MWAWListLevel> MWAWParagraph::m_listLevel

the actual level

Referenced by cmp(), ClarisWksText::findListId(), insert(), operator<<(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

Variable<int> MWAWParagraph::m_listLevelIndex

the actual level index

Referenced by cmp(), ClarisWksText::findListId(), insert(), operator<<(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), ClarisWksText::sendText(), ActaText::sendTopic(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

Variable<int> MWAWParagraph::m_listStartValue

the list start value (if set )

Referenced by cmp(), insert(), and MindWrtParserInternal::ZoneInfo::updateListId().

Variable<double> MWAWParagraph::m_margins[3]

the margins

- 0: first line left margin
- 1: left margin
- 2: right margin

Referenced by addTo(), cmp(), WriteNowTextInternal::State::getDefaultParagraph(), getMarginsWidth(), WriterPlsParser::getParagraph(), FullWrtTextInternal::Paragraph::getTableDimensions(), insert(), MWAWParagraph(), operator<<(), MsWrdStruct::Paragraph::read(), MoreText::readOutline(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), MacWrtParser::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), MsWks3Text::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), EDocParser::sendIndex(), MacDocParser::sendIndex(), ActaText::sendTopic(), MoreTextInternal::Paragraph::setLeftMargin(), NisusWrtText::setProperty(), MoreTextInternal::Paragraph::setRightMargin(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

Variable<librevenge::RVNGUnit> MWAWParagraph::m_marginsUnit

the margins INCH, ...

Referenced by addTo(), cmp(), getMarginsWidth(), WriterPlsParser::getParagraph(), insert(), WriteNowTextInternal::Paragraph::Paragraph(), BeagleWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), and EDocParser::sendIndex().

Variable<double> MWAWParagraph::m_spacings[3]

the line spacing

- 0: interline
- 1: before
- 2: after

Referenced by addTo(), cmp(), insert(), MWAWParagraph(), operator<<(), MsWrdStruct::Paragraph::read(), MoreText::readOutline(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), ClarisWksText::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), setInterline(), and FullWrtTextInternal::Paragraph::updateToSent().

Variable<LineSpacingType> MWAWParagraph::m_spacingsInterlineType

the interline type: fixed, atLeast, ...

Referenced by addTo(), cmp(), insert(), operator<<(), MsWks4Text::readParagraph(), NisusWrtText::readParagraphs(), and setInterline().

Variable<librevenge::RVNGUnit> MWAWParagraph::m_spacingsInterlineUnit

the interline unit PERCENT or INCH, ...

Referenced by addTo(), cmp(), insert(), operator<<(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), NisusWrtText::readParagraphs(), and setInterline().

std::string MWAWParagraph::m_styleName

the style name

Referenced by addTo(), cmp(), insert(), operator<<(), and ClarisWksText::sendText().

Variable<std::vector<MWAWTabStop> > MWAWParagraph::m_tabs

the tabulations

Referenced by addTo(), cmp(), FullWrtTextInternal::Paragraph::getTableDimensions(), insert(), MsWrdStruct::Paragraph::insert(), operator<<(), MsWrdStruct::Paragraph::read(), MsWrd1Parser::readParagraph(), BeagleWksText::readParagraph(), MacWrtParser::readParagraph(), MsWks3Text::readParagraph(), WriteNowText::readParagraph(), ClarisWksText::readParagraph(), MsWks4Text::readParagraph(), RagTimeText::readParagraphs(), NisusWrtText::readParagraphs(), MacDrawProStyleManager::readParagraphStyles(), FullWrtText::readParagraphTabs(), MindWrtParser::readRuler(), GreatWksText::readRuler(), LightWayTxtText::readRulers(), MarinerWrtText::readRulers(), MoreText::readTabs(), WriteNowText::send(), DocMkrText::sendFooter(), MindWrtParser::sendHeaderFooterFields(), EDocParser::sendIndex(), MacDocParser::sendIndex(), MacWrtProStructuresListenerState::sendParagraph(), DocMkrText::sendTOC(), and FullWrtTextInternal::Paragraph::updateToSent().

Variable<bool> MWAWParagraph::m_tabsRelativeToLeftMargin

true if the tabs are relative to left margin, false if there are relative to the page margin (default)

Referenced by addTo(), cmp(), insert(), and MsWrdStruct::Paragraph::Paragraph().

The documentation for this class was generated from the following files:

- MWAWParagraph.hxx
- MWAWParagraph.cxx